package com.perforce.p4java;

import java.io.File;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.perforce.p4java.server.IOptionsServer;
import com.perforce.p4java.server.IServerInfo;

public class Main {

	private static Logger logger = LoggerFactory.getLogger(Main.class);

	public static void main(String[] args) throws Exception {

		File p4root = new File("p4root");
		p4root.mkdir();

		IOptionsServer p4 = RshConnection.getRshConnection(p4root.getAbsolutePath());
		p4.connect();

		for (int i = 0; i < 1000; i++) {
			IServerInfo info = p4.getServerInfo();
			logger.info("info: " + info + "\n");
		}
		
		p4.disconnect();
	}

}
